package me.yoqi.android.appmanager.views;

import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import java.util.Random;

import me.yoqi.android.appmanager.MainActivity;
import me.yoqi.android.appmanager.R;

/**
 * @author liuyuqi.gov@msn.cn
 * @createTime 2020-10-01
 */
public class SplashActivity extends AppCompatActivity {
    private static final Random sRandom = new Random(System.currentTimeMillis());

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);

        Handler handler = new Handler();
        handler.postDelayed(new Runnable() {
            @Override
            public void run() {
                //随机延时 ns 启动
                startActivity(new Intent(this, MainActivity.class));
                overridePendingTransition(android.R.anim.fade_in, android.R.anim.fade_out);
                finish();
            }
        }, sRandom);
    }
}